Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.jemmy.operators
Class JMenuItemOperator

    java.lang.Object
      |
      +--org.netbeans.jemmy.operators.Operator
            |
            +--org.netbeans.jemmy.operators.ComponentOperator
                  |
                  +--org.netbeans.jemmy.operators.ContainerOperator
                        |
                        +--org.netbeans.jemmy.operators.JComponentOperator
                              |
                              +--org.netbeans.jemmy.operators.AbstractButtonOperator
                                    |
                                    +--org.netbeans.jemmy.operators.JMenuItemOperator

All Implemented Interfaces:
  Outputable, Timeoutable

Direct Known Subclasses:
  JCheckBoxMenuItemOperator, JMenuOperator, JRadioButtonMenuItemOperator

public class JMenuItemOperator
extends AbstractButtonOperator
implements Timeoutable, Outputable

Timeouts used:
JMenuItemOperator.PushMenuTimeout - time between button pressing and releasing
ComponentOperator.WaitComponentTimeout - time to wait button displayed
ComponentOperator.WaitComponentEnabledTimeout - time to wait button enabled
.

Author:
  Alexandre Iline (alexandre.iline@sun.com)
See Also:
  `Timeouts`

Inner Class Summary
`static class` | `JMenuItemOperator.JMenuItemByLabelFinder` Allows to find component by text.
`static class` | `JMenuItemOperator.JMenuItemFinder` Checks component type.

Inner classes inherited from class org.netbeans.jemmy.operators.AbstractButtonOperator
`AbstractButtonOperator.AbstractButtonByLabelFinder, AbstractButtonOperator.AbstractButtonFinder`

Inner classes inherited from class org.netbeans.jemmy.operators.JComponentOperator
`JComponentOperator.JComponentByTipFinder, JComponentOperator.JComponentFinder`

Inner classes inherited from class org.netbeans.jemmy.operators.ContainerOperator
`ContainerOperator.ContainerFinder`

Inner classes inherited from class org.netbeans.jemmy.operators.Operator
`Operator.ComponentVisualizer, Operator.DefaultPathParser, Operator.DefaultStringComparator, Operator.Finder, Operator.MapAction, Operator.MapBooleanAction, Operator.MapByteAction, Operator.MapCharacterAction, Operator.MapDoubleAction, Operator.MapFloatAction, Operator.MapIntegerAction, Operator.MapLongAction, Operator.MapVoidAction, Operator.NoBlockingAction, Operator.PathParser, Operator.StringComparator`

Fields inherited from class org.netbeans.jemmy.operators.AbstractButtonOperator
`IS_SELECTED_DPROP, TEXT_DPROP`

Fields inherited from class org.netbeans.jemmy.operators.JComponentOperator
`TOOLTIP_TEXT_DPROP`

Fields inherited from class org.netbeans.jemmy.operators.ComponentOperator
`HEIGHT_DPROP, IS_SHOWING_DPROP, IS_VISIBLE_DPROP, WIDTH_DPROP, X_DPROP, Y_DPROP`

Fields inherited from class org.netbeans.jemmy.operators.Operator
`CLASS_DPROP, TO_STRING_DPROP`

Constructor Summary
`JMenuItemOperator(ContainerOperator cont)` Constructor.
`JMenuItemOperator(ContainerOperator cont, ComponentChooser chooser)` Constructs a JMenuItemOperator object.
`JMenuItemOperator(ContainerOperator cont, ComponentChooser chooser, int index)` Constructs a JMenuItemOperator object.
`JMenuItemOperator(ContainerOperator cont, int index)` Constructor.
`JMenuItemOperator(ContainerOperator cont, java.lang.String text)` Constructor.
`JMenuItemOperator(ContainerOperator cont, java.lang.String text, int index)` Constructor.
`JMenuItemOperator(javax.swing.JMenuItem item)` Constructor.

Method Summary
`void` | `addMenuDragMouseListener(javax.swing.event.MenuDragMouseListener menuDragMouseListener)` Maps `JMenuItem.addMenuDragMouseListener(MenuDragMouseListener)` through queue
`void` | `addMenuKeyListener(javax.swing.event.MenuKeyListener menuKeyListener)` Maps `JMenuItem.addMenuKeyListener(MenuKeyListener)` through queue
`static javax.swing.JMenuItem` | `findJMenuItem(java.awt.Container menu, ComponentChooser chooser)` Searches 0'th JMenuItem in container.
`static javax.swing.JMenuItem` | `findJMenuItem(java.awt.Container menu, ComponentChooser chooser, int index)` Searches JMenuItem in container.
`static javax.swing.JMenuItem` | `findJMenuItem(java.awt.Container menu, java.lang.String text, boolean ce, boolean ccs)` Searches JMenuItem by text.
`static javax.swing.JMenuItem` | `findJMenuItem(java.awt.Container menu, java.lang.String text, boolean ce, boolean ccs, int index)` Searches JMenuItem by text.
`javax.swing.KeyStroke` | `getAccelerator()` Maps `JMenuItem.getAccelerator()` through queue
`java.awt.Component` | `getComponent()` Maps `JMenuItem.getComponent()` through queue
`java.util.Hashtable` | `getDump()` Returns information about component.
`TestOut` | `getOutput()` Returns print output streams or writers.
`javax.swing.MenuElement[]` | `getSubElements()` Maps `JMenuItem.getSubElements()` through queue
`Timeouts` | `getTimeouts()` Return current timeouts.
`boolean` | `isArmed()` Maps `JMenuItem.isArmed()` through queue
`void` | `menuSelectionChanged(boolean b)` Maps `JMenuItem.menuSelectionChanged(boolean)` through queue
`protected void` | `prepareToClick()` Prepares the button to click.
`void` | `processKeyEvent(java.awt.event.KeyEvent keyEvent, javax.swing.MenuElement[] menuElement, javax.swing.MenuSelectionManager menuSelectionManager)` Maps `JMenuItem.processKeyEvent(KeyEvent, MenuElement[], MenuSelectionManager)` through queue
`void` | `processMenuDragMouseEvent(javax.swing.event.MenuDragMouseEvent menuDragMouseEvent)` Maps `JMenuItem.processMenuDragMouseEvent(MenuDragMouseEvent)` through queue
`void` | `processMenuKeyEvent(javax.swing.event.MenuKeyEvent menuKeyEvent)` Maps `JMenuItem.processMenuKeyEvent(MenuKeyEvent)` through queue
`void` | `processMouseEvent(java.awt.event.MouseEvent mouseEvent, javax.swing.MenuElement[] menuElement, javax.swing.MenuSelectionManager menuSelectionManager)` Maps `JMenuItem.processMouseEvent(MouseEvent, MenuElement[], MenuSelectionManager)` through queue
`void` | `removeMenuDragMouseListener(javax.swing.event.MenuDragMouseListener menuDragMouseListener)` Maps `JMenuItem.removeMenuDragMouseListener(MenuDragMouseListener)` through queue
`void` | `removeMenuKeyListener(javax.swing.event.MenuKeyListener menuKeyListener)` Maps `JMenuItem.removeMenuKeyListener(MenuKeyListener)` through queue
`void` | `setAccelerator(javax.swing.KeyStroke keyStroke)` Maps `JMenuItem.setAccelerator(KeyStroke)` through queue
`void` | `setArmed(boolean b)` Maps `JMenuItem.setArmed(boolean)` through queue
`void` | `setOutput(TestOut out)` Defines print output streams or writers.
`void` | `setTimeouts(Timeouts timeouts)` Defines current timeouts.
`void` | `setUI(javax.swing.plaf.MenuItemUI menuItemUI)` Maps `JMenuItem.setUI(MenuItemUI)` through queue
`static javax.swing.JMenuItem` | `waitJMenuItem(java.awt.Container menu, ComponentChooser chooser)` Waits 0'th JMenuItem in container.
`static javax.swing.JMenuItem` | `waitJMenuItem(java.awt.Container menu, ComponentChooser chooser, int index)` Waits JMenuItem in container.
`static javax.swing.JMenuItem` | `waitJMenuItem(java.awt.Container menu, java.lang.String text, boolean ce, boolean ccs)` Waits JMenuItem by text.
`static javax.swing.JMenuItem` | `waitJMenuItem(java.awt.Container menu, java.lang.String text, boolean ce, boolean ccs, int index)` Waits JMenuItem by text.

Methods inherited from class org.netbeans.jemmy.operators.AbstractButtonOperator
`addActionListener, addChangeListener, addItemListener, changeSelection, changeSelectionNoBlock, copyEnvironment, doClick, doClick, findAbstractButton, findAbstractButton, findAbstractButton, findAbstractButton, getActionCommand, getDisabledIcon, getDisabledSelectedIcon, getHorizontalAlignment, getHorizontalTextPosition, getIcon, getMargin, getMnemonic, getModel, getPressedIcon, getRolloverIcon, getRolloverSelectedIcon, getSelectedIcon, getSelectedObjects, getText, getUI, getVerticalAlignment, getVerticalTextPosition, isBorderPainted, isContentAreaFilled, isFocusPainted, isRolloverEnabled, isSelected, press, push, pushNoBlock, release, removeActionListener, removeChangeListener, removeItemListener, setActionCommand, setBorderPainted, setContentAreaFilled, setDisabledIcon, setDisabledSelectedIcon, setFocusPainted, setHorizontalAlignment, setHorizontalTextPosition, setIcon, setMargin, setMnemonic, setMnemonic, setModel, setPressedIcon, setRolloverEnabled, setRolloverIcon, setRolloverSelectedIcon, setSelected, setSelectedIcon, setText, setUI, setVerticalAlignment, setVerticalTextPosition, waitAbstractButton, waitAbstractButton, waitAbstractButton, waitAbstractButton, waitSelected, waitText`

Methods inherited from class org.netbeans.jemmy.operators.JComponentOperator
`addAncestorListener, addVetoableChangeListener, computeVisibleRect, createToolTip, findJComponent, findJComponent, findJComponent, findJComponent, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getAccessibleContext, getActionForKeyStroke, getAutoscrolls, getBorder, getCenterXForClick, getCenterYForClick, getClientProperty, getConditionForKeyStroke, getDebugGraphicsOptions, getInsets, getNextFocusableComponent, getRegisteredKeyStrokes, getRootPane, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getUIClassID, getVisibleRect, getWindowContainerOperator, grabFocus, isFocusCycleRoot, isManagingFocus, isOptimizedDrawingEnabled, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paintImmediately, paintImmediately, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeVetoableChangeListener, repaint, requestDefaultFocus, resetKeyboardActions, revalidate, scrollRectToVisible, setAlignmentX, setAlignmentY, setAutoscrolls, setBorder, setDebugGraphicsOptions, setDoubleBuffered, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, showToolTip, unregisterKeyboardAction, updateUI, waitJComponent, waitJComponent, waitJComponent, waitJComponent, waitToolTip`

Methods inherited from class org.netbeans.jemmy.operators.ContainerOperator
`add, add, add, add, add, addContainerListener, createSubOperator, createSubOperator, findComponentAt, findComponentAt, findContainer, findContainer, findContainer, findContainer, findContainerUnder, findContainerUnder, findSubComponent, findSubComponent, getComponent, getComponentCount, getComponents, getInsets, getLayout, isAncestorOf, paintComponents, printComponents, remove, remove, removeAll, removeContainerListener, setLayout, waitContainer, waitContainer, waitContainer, waitContainer, waitSubComponent, waitSubComponent`

Methods inherited from class org.netbeans.jemmy.operators.ComponentOperator
`activateWindow, add, addComponentListener, addFocusListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, checkImage, checkImage, clickForPopup, clickForPopup, clickForPopup, clickForPopup, clickMouse, clickMouse, clickMouse, clickMouse, clickMouse, clickMouse, clickMouse, contains, contains, createImage, createImage, dispatchEvent, doLayout, dragMouse, dragMouse, dragMouse, dragNDrop, dragNDrop, dragNDrop, enableInputMethods, enterMouse, exitMouse, findComponent, findComponent, getAlignmentX, getAlignmentY, getBackground, getBounds, getBounds, getCenterX, getCenterY, getColorModel, getComponentAt, getComponentAt, getComponentOrientation, getContainer, getContainers, getCursor, getDropTarget, getEventDispatcher, getFocus, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getInputContext, getInputMethodRequests, getLocale, getLocation, getLocation, getLocationOnScreen, getMaximumSize, getMinimumSize, getName, getParent, getPreferredSize, getSize, getSize, getSource, getToolkit, getTreeLock, getWidth, getWindow, getX, getY, hasFocus, imageUpdate, invalidate, isDisplayable, isDoubleBuffered, isEnabled, isFocusTraversable, isLightweight, isOpaque, isShowing, isValid, isVisible, list, list, list, list, list, makeComponentVisible, moveMouse, paint, paintAll, prepareImage, prepareImage, pressKey, pressKey, pressMouse, pressMouse, print, printAll, pushKey, pushKey, releaseKey, releaseKey, releaseMouse, releaseMouse, remove, removeComponentListener, removeFocusListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, setBackground, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setEnabled, setFont, setForeground, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, transferFocus, typeKey, typeKey, typeKey, update, validate, waitComponent, waitComponent, waitComponent, waitComponent, waitComponentEnabled, waitComponentShowing, waitComponentVisible, waitHasFocus`

Methods inherited from class org.netbeans.jemmy.operators.Operator
`addOperatorPackage, addToDump, addToDump, createOperator, getCharBindingMap, getCharKey, getCharModifiers, getCharsKeys, getCharsKeys, getCharsModifiers, getCharsModifiers, getComparator, getDefaultComponentVisualizer, getDefaultMouseButton, getDefaultPathParser, getDefaultStringComparator, getDefaultVerification, getEnvironmentOperator, getParentPath, getPathParser, getPopupMouseButton, getProperties, getQueueTool, getVerification, getVisualizer, isCaptionEqual, isCaptionEqual, isCaptionEqual, lockQueue, parseString, parseString, printDump, produceNoBlocking, produceNoBlocking, produceTimeRestricted, produceTimeRestricted, runMapping, runMapping, runMapping, runMapping, runMapping, runMapping, runMapping, runMapping, runMapping, setCharBindingMap, setComparator, setDefaultComponentVisualizer, setDefaultPathParser, setDefaultStringComparator, setDefaultVerification, setPathParser, setProperties, setVerification, setVisualizer, unlockAndThrow, unlockQueue, waitState`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JMenuItemOperator

    public JMenuItemOperator(javax.swing.JMenuItem item)

  Constructor.
  Parameters:
    `item` - a component

### JMenuItemOperator

    public JMenuItemOperator(ContainerOperator cont,
                             ComponentChooser chooser,
                             int index)

  Constructs a JMenuItemOperator object.
  Parameters:
    `cont` - a container
    `chooser` - a component chooser specifying searching criteria.
    `index` - an index between appropriate ones.

### JMenuItemOperator

    public JMenuItemOperator(ContainerOperator cont,
                             ComponentChooser chooser)

  Constructs a JMenuItemOperator object.
  Parameters:
    `cont` - a container
    `chooser` - a component chooser specifying searching criteria.

### JMenuItemOperator

    public JMenuItemOperator(ContainerOperator cont,
                             java.lang.String text,
                             int index)

  Constructor. Waits component in container first. Uses cont's timeout and output for waiting and to init operator.
  Parameters:
    `cont` - a container
    `text` - Button text.
    `index` - Ordinal component index.
  Throws:
    `TimeoutExpiredException` -
  See Also:
    `Operator.isCaptionEqual(String, String, boolean, boolean)`

### JMenuItemOperator

    public JMenuItemOperator(ContainerOperator cont,
                             java.lang.String text)

  Constructor. Waits component in container first. Uses cont's timeout and output for waiting and to init operator.
  Parameters:
    `cont` - a container
    `text` - Button text.
  Throws:
    `TimeoutExpiredException` -
  See Also:
    `Operator.isCaptionEqual(String, String, boolean, boolean)`

### JMenuItemOperator

    public JMenuItemOperator(ContainerOperator cont,
                             int index)

  Constructor. Waits component in container first. Uses cont's timeout and output for waiting and to init operator.
  Parameters:
    `cont` - a container
    `index` - Ordinal component index.
  Throws:
    `TimeoutExpiredException` -

### JMenuItemOperator

    public JMenuItemOperator(ContainerOperator cont)

  Constructor. Waits component in container first. Uses cont's timeout and output for waiting and to init operator.
  Parameters:
    `cont` - a container
  Throws:
    `TimeoutExpiredException` -

Method Detail

### findJMenuItem

    public static javax.swing.JMenuItem findJMenuItem(java.awt.Container menu,
                                                      ComponentChooser chooser,
                                                      int index)

  Searches JMenuItem in container.
  Parameters:
    `menu` - Container to search component in.
    `chooser` - org.netbeans.jemmy.ComponentChooser implementation.
    `index` - Ordinal component index.
  Returns:
    JMenuItem instance or null if component was not found.

### findJMenuItem

    public static javax.swing.JMenuItem findJMenuItem(java.awt.Container menu,
                                                      ComponentChooser chooser)

  Searches 0'th JMenuItem in container.
  Parameters:
    `menu` - Container to search component in.
    `chooser` - org.netbeans.jemmy.ComponentChooser implementation.
  Returns:
    JMenuItem instance or null if component was not found.

### findJMenuItem

    public static javax.swing.JMenuItem findJMenuItem(java.awt.Container menu,
                                                      java.lang.String text,
                                                      boolean ce,
                                                      boolean ccs,
                                                      int index)

  Searches JMenuItem by text.
  Parameters:
    `menu` - Container to search component in.
    `text` - Button text. If null, contents is not checked.
    `ce` - Compare text exactly.
    `ccs` - Compare text case sensitively.
    `index` - Ordinal component index.
  Returns:
    JMenuItem instance or null if component was not found.
  See Also:
    `Operator.isCaptionEqual(String, String, boolean, boolean)`

### findJMenuItem

    public static javax.swing.JMenuItem findJMenuItem(java.awt.Container menu,
                                                      java.lang.String text,
                                                      boolean ce,
                                                      boolean ccs)

  Searches JMenuItem by text.
  Parameters:
    `menu` - Container to search component in.
    `text` - Button text. If null, contents is not checked.
    `ce` - Compare text exactly.
    `ccs` - Compare text case sensitively.
  Returns:
    JMenuItem instance or null if component was not found.
  See Also:
    `Operator.isCaptionEqual(String, String, boolean, boolean)`

### waitJMenuItem

    public static javax.swing.JMenuItem waitJMenuItem(java.awt.Container menu,
                                                      ComponentChooser chooser,
                                                      int index)

  Waits JMenuItem in container.
  Parameters:
    `menu` - Container to search component in.
    `chooser` - org.netbeans.jemmy.ComponentChooser implementation.
    `index` - Ordinal component index.
  Returns:
    JMenuItem instance.
  Throws:
    `TimeoutExpiredException` -

### waitJMenuItem

    public static javax.swing.JMenuItem waitJMenuItem(java.awt.Container menu,
                                                      ComponentChooser chooser)

  Waits 0'th JMenuItem in container.
  Parameters:
    `menu` - Container to search component in.
    `chooser` - org.netbeans.jemmy.ComponentChooser implementation.
  Returns:
    JMenuItem instance.
  Throws:
    `TimeoutExpiredException` -

### waitJMenuItem

    public static javax.swing.JMenuItem waitJMenuItem(java.awt.Container menu,
                                                      java.lang.String text,
                                                      boolean ce,
                                                      boolean ccs,
                                                      int index)

  Waits JMenuItem by text.
  Parameters:
    `menu` - Container to search component in.
    `text` - Button text. If null, contents is not checked.
    `ce` - Compare text exactly.
    `ccs` - Compare text case sensitively.
    `index` - Ordinal component index.
  Returns:
    JMenuItem instance.
  Throws:
    `TimeoutExpiredException` -
  See Also:
    `Operator.isCaptionEqual(String, String, boolean, boolean)`

### waitJMenuItem

    public static javax.swing.JMenuItem waitJMenuItem(java.awt.Container menu,
                                                      java.lang.String text,
                                                      boolean ce,
                                                      boolean ccs)

  Waits JMenuItem by text.
  Parameters:
    `menu` - Container to search component in.
    `text` - Button text. If null, contents is not checked.
    `ce` - Compare text exactly.
    `ccs` - Compare text case sensitively.
  Returns:
    JMenuItem instance.
  Throws:
    `TimeoutExpiredException` -
  See Also:
    `Operator.isCaptionEqual(String, String, boolean, boolean)`

### setTimeouts

    public void setTimeouts(Timeouts timeouts)

  Description copied from interface: `Timeoutable`
  Defines current timeouts.
  Specified by:
    `setTimeouts` in interface `Timeoutable`
  Overrides:
    `setTimeouts` in class `AbstractButtonOperator`
  Following copied from interface: `org.netbeans.jemmy.Timeoutable`
  Parameters:
    `t` - A collection of timeout assignments.
  See Also:
    `Timeoutable.getTimeouts()`

### getTimeouts

    public Timeouts getTimeouts()

  Description copied from interface: `Timeoutable`
  Return current timeouts.
  Specified by:
    `getTimeouts` in interface `Timeoutable`
  Overrides:
    `getTimeouts` in class `AbstractButtonOperator`
  Following copied from interface: `org.netbeans.jemmy.Timeoutable`
  Returns:
    the collection of current timeout assignments.
  See Also:
    `Timeoutable.setTimeouts(org.netbeans.jemmy.Timeouts)`

### setOutput

    public void setOutput(TestOut out)

  Description copied from interface: `Outputable`
  Defines print output streams or writers.
  Specified by:
    `setOutput` in interface `Outputable`
  Overrides:
    `setOutput` in class `AbstractButtonOperator`
  Following copied from interface: `org.netbeans.jemmy.Outputable`
  Parameters:
    `out` - Identify the streams or writers used for print output.
  See Also:
    `Outputable.getOutput()`

### getOutput

    public TestOut getOutput()

  Description copied from interface: `Outputable`
  Returns print output streams or writers.
  Specified by:
    `getOutput` in interface `Outputable`
  Overrides:
    `getOutput` in class `AbstractButtonOperator`
  Following copied from interface: `org.netbeans.jemmy.Outputable`
  Returns:
    an object that contains references to objects for printing to output and err streams.
  See Also:
    `Outputable.setOutput(org.netbeans.jemmy.TestOut)`

### getDump

    public java.util.Hashtable getDump()

  Description copied from class: `AbstractButtonOperator`
  Returns information about component.
  Overrides:
    `getDump` in class `AbstractButtonOperator`
  Following copied from class: `org.netbeans.jemmy.operators.Operator`
  Returns:
    a Hashtable containing name-value pairs.

### addMenuDragMouseListener

    public void addMenuDragMouseListener(javax.swing.event.MenuDragMouseListener menuDragMouseListener)

  Maps `JMenuItem.addMenuDragMouseListener(MenuDragMouseListener)` through queue

### addMenuKeyListener

    public void addMenuKeyListener(javax.swing.event.MenuKeyListener menuKeyListener)

  Maps `JMenuItem.addMenuKeyListener(MenuKeyListener)` through queue

### getAccelerator

    public javax.swing.KeyStroke getAccelerator()

  Maps `JMenuItem.getAccelerator()` through queue

### getComponent

    public java.awt.Component getComponent()

  Maps `JMenuItem.getComponent()` through queue

### getSubElements

    public javax.swing.MenuElement[] getSubElements()

  Maps `JMenuItem.getSubElements()` through queue

### isArmed

    public boolean isArmed()

  Maps `JMenuItem.isArmed()` through queue

### menuSelectionChanged

    public void menuSelectionChanged(boolean b)

  Maps `JMenuItem.menuSelectionChanged(boolean)` through queue

### processKeyEvent

    public void processKeyEvent(java.awt.event.KeyEvent keyEvent,
                                javax.swing.MenuElement[] menuElement,
                                javax.swing.MenuSelectionManager menuSelectionManager)

  Maps `JMenuItem.processKeyEvent(KeyEvent, MenuElement[], MenuSelectionManager)` through queue

### processMenuDragMouseEvent

    public void processMenuDragMouseEvent(javax.swing.event.MenuDragMouseEvent menuDragMouseEvent)

  Maps `JMenuItem.processMenuDragMouseEvent(MenuDragMouseEvent)` through queue

### processMenuKeyEvent

    public void processMenuKeyEvent(javax.swing.event.MenuKeyEvent menuKeyEvent)

  Maps `JMenuItem.processMenuKeyEvent(MenuKeyEvent)` through queue

### processMouseEvent

    public void processMouseEvent(java.awt.event.MouseEvent mouseEvent,
                                  javax.swing.MenuElement[] menuElement,
                                  javax.swing.MenuSelectionManager menuSelectionManager)

  Maps `JMenuItem.processMouseEvent(MouseEvent, MenuElement[], MenuSelectionManager)` through queue

### removeMenuDragMouseListener

    public void removeMenuDragMouseListener(javax.swing.event.MenuDragMouseListener menuDragMouseListener)

  Maps `JMenuItem.removeMenuDragMouseListener(MenuDragMouseListener)` through queue

### removeMenuKeyListener

    public void removeMenuKeyListener(javax.swing.event.MenuKeyListener menuKeyListener)

  Maps `JMenuItem.removeMenuKeyListener(MenuKeyListener)` through queue

### setAccelerator

    public void setAccelerator(javax.swing.KeyStroke keyStroke)

  Maps `JMenuItem.setAccelerator(KeyStroke)` through queue

### setArmed

    public void setArmed(boolean b)

  Maps `JMenuItem.setArmed(boolean)` through queue

### setUI

    public void setUI(javax.swing.plaf.MenuItemUI menuItemUI)

  Maps `JMenuItem.setUI(MenuItemUI)` through queue

### prepareToClick

    protected void prepareToClick()

  Prepares the button to click.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD